summaryrefslogtreecommitdiffstats
path: root/graphics/dcraw/dcraw.SlackBuild
diff options
context:
space:
mode:
Diffstat (limited to 'graphics/dcraw/dcraw.SlackBuild')
-rw-r--r--graphics/dcraw/dcraw.SlackBuild19
1 files changed, 13 insertions, 6 deletions
diff --git a/graphics/dcraw/dcraw.SlackBuild b/graphics/dcraw/dcraw.SlackBuild
index afa4a8e326..59110d8f96 100644
--- a/graphics/dcraw/dcraw.SlackBuild
+++ b/graphics/dcraw/dcraw.SlackBuild
@@ -7,10 +7,10 @@
# Copyright (c) 2007, Robby Workman <rworkman@slackbuilds.org>
# All rights reserved.
#
-# Redistribution and use of this script, with or without modification, is
+# Redistribution and use of this script, with or without modification, is
# permitted provided that the following conditions are met:
#
-# 1. Redistributions of script must retain the above copyright notice,
+# 1. Redistributions of script must retain the above copyright notice,
# this list of conditions and the following disclaimer.
#
# THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS
@@ -31,10 +31,11 @@
### ./dcraw.SlackBuild rawphoto
PRGNAM=dcraw
-VERSION=8.87
+VERSION=8.93
ARCH=${ARCH:-i486}
BUILD=${BUILD:-1}
TAG=${TAG:-_SBo}
+
CWD=$(pwd)
TMP=${TMP:-/tmp/SBo}
PKG=$TMP/package-$PRGNAM
@@ -44,6 +45,8 @@ if [ "$ARCH" = "i486" ]; then
SLKCFLAGS="-O2 -march=i486 -mtune=i686"
elif [ "$ARCH" = "i686" ]; then
SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
fi
### DCRaw build flags as suggested on the author's page.
@@ -74,14 +77,18 @@ install -D -m 0755 dcraw $PKG/usr/bin/dcraw
strip --strip-unneeded $PKG/usr/bin/dcraw
install -D -m 0644 dcraw.1 $PKG/usr/man/man1/dcraw.1
-for lang in eo ru fr it de pt es zh_TW zh_CN nl pl hu cs ; do
- install -d -m 0755 $PKG/usr/man/$lang.UTF-8/man1
+for lang in eo ru fr it de pt es zh_TW zh_CN nl pl hu cs ca sv ; do
+ install -d -m 0755 $PKG/usr/man/$lang.UTF-8/man1
install -m 0644 dcraw_$lang.1 $PKG/usr/man/$lang.UTF-8/man1/dcraw.1 || true
# Missing man page, hence the || true above #
install -d -m 0755 $PKG/usr/share/locale/$lang/LC_MESSAGES
- msgfmt -o $PKG/usr/share/locale/$lang/LC_MESSAGES/dcraw.mo dcraw_$lang.po
+ msgfmt -o $PKG/usr/share/locale/$lang/LC_MESSAGES/dcraw.mo dcraw_$lang.po || true
+ # Missing po file for zh_CN language, hence the || above
done
+### remove any empty directories
+find $PKG -depth -empty -type d -exec rmdir '{}' \;
+
# Compress man pages
( cd $PKG/usr/man
find . -type f -exec gzip -9 {} \;